﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace MyWebSite.Controllers
{
    public class ContentController : Controller
    {

        public IActionResult Index()
        {
            // this.ControllerContext.ActionDescriptor.ActionName;
            return Content("Test");
        }

        public IActionResult ViewTest()
        {
            return View("Test");
        }

        public IActionResult loadarticle(int id)
        {
            if (id == 10)
            {
                return Content("Good stuff");
            }
            if (id < 0)
            {
                return this.BadRequest("Something is really bad");
            }
            return this.NotFound();
        }

        public IActionResult person()
        {
            return new ObjectResult(new Person { FirstName = "Михаил", LastName = "Фленов" });
        }
    }

    public class Person
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
    }
}
